Package com.salesforce.hyperdb.grpc

## Class TextPosition.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderT>
    - - com.google.protobuf.GeneratedMessageV3.Builder<TextPosition.Builder>
      - - com.salesforce.hyperdb.grpc.TextPosition.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `TextPositionOrBuilder`, `Cloneable`

Enclosing class:
  TextPosition

    public static final class TextPosition.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<TextPosition.Builder>
    implements TextPositionOrBuilder

Protobuf type `salesforce.hyperdb.grpc.v1.TextPosition`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`TextPosition.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`TextPosition` `build()`
`TextPosition` `buildPartial()`
`TextPosition.Builder` `clear()`
`TextPosition.Builder` `clearErrorBeginCharacterOffset()` `uint64 error_begin_character_offset = 2;`
`TextPosition.Builder` `clearErrorEndCharacterOffset()` `uint64 error_end_character_offset = 3;`
`TextPosition.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`TextPosition.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`TextPosition.Builder` `clone()`
`TextPosition` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`long` `getErrorBeginCharacterOffset()` `uint64 error_begin_character_offset = 2;`
`long` `getErrorEndCharacterOffset()` `uint64 error_end_character_offset = 3;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`TextPosition.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`TextPosition.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`TextPosition.Builder` `mergeFrom​(TextPosition other)`
`TextPosition.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`TextPosition.Builder` `setErrorBeginCharacterOffset​(long value)` `uint64 error_begin_character_offset = 2;`
`TextPosition.Builder` `setErrorEndCharacterOffset​(long value)` `uint64 error_end_character_offset = 3;`
`TextPosition.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`TextPosition.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`TextPosition.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<TextPosition.Builder>`

#### clear

    public TextPosition.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<TextPosition.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<TextPosition.Builder>`

#### getDefaultInstanceForType

    public TextPosition getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public TextPosition build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public TextPosition buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public TextPosition.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<TextPosition.Builder>`

#### setField

    public TextPosition.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                         Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<TextPosition.Builder>`

#### clearField

    public TextPosition.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<TextPosition.Builder>`

#### clearOneof

    public TextPosition.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<TextPosition.Builder>`

#### setRepeatedField

    public TextPosition.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                 int index,
                                                 Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<TextPosition.Builder>`

#### addRepeatedField

    public TextPosition.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                 Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<TextPosition.Builder>`

#### mergeFrom

    public TextPosition.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<TextPosition.Builder>`

#### mergeFrom

    public TextPosition.Builder mergeFrom​(TextPosition other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<TextPosition.Builder>`

#### mergeFrom

    public TextPosition.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                   throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<TextPosition.Builder>`
Throws:
  `IOException`

#### getErrorBeginCharacterOffset

    public long getErrorBeginCharacterOffset()

`uint64 error_begin_character_offset = 2;`

Specified by:
  `getErrorBeginCharacterOffset` in interface `TextPositionOrBuilder`
Returns:
  The errorBeginCharacterOffset.

#### setErrorBeginCharacterOffset

    public TextPosition.Builder setErrorBeginCharacterOffset​(long value)

`uint64 error_begin_character_offset = 2;`

Parameters:
  `value` - The errorBeginCharacterOffset to set.
Returns:
  This builder for chaining.

#### clearErrorBeginCharacterOffset

    public TextPosition.Builder clearErrorBeginCharacterOffset()

`uint64 error_begin_character_offset = 2;`

Returns:
  This builder for chaining.

#### getErrorEndCharacterOffset

    public long getErrorEndCharacterOffset()

`uint64 error_end_character_offset = 3;`

Specified by:
  `getErrorEndCharacterOffset` in interface `TextPositionOrBuilder`
Returns:
  The errorEndCharacterOffset.

#### setErrorEndCharacterOffset

    public TextPosition.Builder setErrorEndCharacterOffset​(long value)

`uint64 error_end_character_offset = 3;`

Parameters:
  `value` - The errorEndCharacterOffset to set.
Returns:
  This builder for chaining.

#### clearErrorEndCharacterOffset

    public TextPosition.Builder clearErrorEndCharacterOffset()

`uint64 error_end_character_offset = 3;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final TextPosition.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<TextPosition.Builder>`

#### mergeUnknownFields

    public final TextPosition.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<TextPosition.Builder>`